MagickCore: resize.h File Reference

# resize.h File Reference

Go to the source code of this file.

## Enumerations
enum | FilterTypes { UndefinedFilter, PointFilter, BoxFilter, TriangleFilter, HermiteFilter, HanningFilter, HammingFilter, BlackmanFilter, GaussianFilter, QuadraticFilter, CubicFilter, CatromFilter, MitchellFilter, LanczosFilter, BesselFilter, SincFilter, KaiserFilter, WelshFilter, ParzenFilter, LagrangeFilter, BohmanFilter, BartlettFilter, SentinelFilter }
## Functions
MagickExport Image * | AdaptiveResizeImage (const Image *, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport Image ** | LiquidRescaleImage (const Image *, const unsigned long, const unsigned long, const double, const double, ExceptionInfo *)
MagickExport Image *** | MagnifyImage (const Image *, ExceptionInfo *)
MagickExport Image **** | MinifyImage (const Image *, ExceptionInfo *)
MagickExport Image ***** | ResampleImage (const Image *, const double, const double, const FilterTypes, const double, ExceptionInfo *)
MagickExport Image ****** | ResizeImage (const Image *, const unsigned long, const unsigned long, const FilterTypes, const double, ExceptionInfo *)
MagickExport Image ******* | SampleImage (const Image *, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport Image ******** | ScaleImage (const Image *, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport Image ********* | ThumbnailImage (const Image *, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport Image ********** | ZoomImage (const Image *, const unsigned long, const unsigned long, ExceptionInfo *)

## Enumeration Type Documentation

enum FilterTypes

Enumerator:

  UndefinedFilter |
  PointFilter |
  BoxFilter |
  TriangleFilter |
  HermiteFilter |
  HanningFilter |
  HammingFilter |
  BlackmanFilter |
  GaussianFilter |
  QuadraticFilter |
  CubicFilter |
  CatromFilter |
  MitchellFilter |
  LanczosFilter |
  BesselFilter |
  SincFilter |
  KaiserFilter |
  WelshFilter |
  ParzenFilter |
  LagrangeFilter |
  BohmanFilter |
  BartlettFilter |
  SentinelFilter |

## Function Documentation

MagickExport Image* AdaptiveResizeImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * LiquidRescaleImage | ( | const Image * | ,
|  | const unsigned | long,
|  | const unsigned | long,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * MagnifyImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * MinifyImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * ResampleImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | const | FilterTypes,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * ResizeImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const | FilterTypes,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * SampleImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * ScaleImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * ThumbnailImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * ZoomImage | ( | const Image * | ,
|  | const unsigned | long,
|  | const unsigned | long,
|  | ExceptionInfo * |  |
| ) |  |  |